WoyraDocs
Get an API key

The out-of-office reply

GET/v1/mail/autoreply

Mailboxes · Requires an API key

Parameters

NameInDescription
mailboxqueryThe token's own mailbox. Any other address is refused with 403.

Example

curl https://api.woyra.io/v1/mail/autoreply \
  -H "Authorization: Bearer $WOYRA_KEY"

Response

200 The reply and whether it is answering mail now.

FieldTypeDescription
enabledboolean
subjectstringEmpty replies with "Re:" and the subject answered.
textstring
startsAttimestamp
endsAttimestamp
activebooleanOn

Errors

StatusCodes
401authentication_required, invalid_api_key

Also in Mailboxes